/*
*  addressbkdlgs.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#ifndef addressbkdlgsH
#define addressbkdlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "msgmans.h"
//---------------------------------------------------------------------------

bool __fastcall ManageAddressBook(TForm *Owner);
bool __fastcall SelectAddresses(TForm *Owner, TStrings *Msg);

class TAddressBkDlg : public TForm
{
__published:	// IDE-managed Components
        TListBox *ContactBox;
        TButton *CcBtn;
        TButton *BcBtn;
        TButton *ToBtn;
        TLabel *Label1;
        TButton *OkBtn;
        TButton *CancelBtn;
        TPopupMenu *PopupMenu1;
        TMenuItem *New1;
        TMenuItem *Edit1;
        TMenuItem *Delete1;
        TBevel *Bevel1;
        TMenuItem *N1;
        TMenuItem *Resizedialog1;
        TMenuItem *Locksize1;
        TMemo *To;
        TMemo *Cc;
        TMemo *Bc;
        TButton *DeleteBtn;
        TButton *EditBtn;
        TButton *NewBtn;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall ToBtnClick(TObject *Sender);
        void __fastcall CcBtnClick(TObject *Sender);
        void __fastcall BcBtnClick(TObject *Sender);
        void __fastcall ContactBoxClick(TObject *Sender);
        void __fastcall PopupMenu1Popup(TObject *Sender);
        void __fastcall Resizedialog1Click(TObject *Sender);
        void __fastcall Locksize1Click(TObject *Sender);
        void __fastcall New1Click(TObject *Sender);
        void __fastcall Edit1Click(TObject *Sender);
        void __fastcall Delete1Click(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall Open1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        TMsgManager *msg;
        TStrings *message;
        AnsiString orgwin;
        int orgtoheight, mode;
        __fastcall virtual TAddressBkDlg(TComponent* Owner);
        __fastcall virtual TAddressBkDlg(TComponent* Owner, TStrings *Msg);
        __fastcall virtual~TAddressBkDlg();
        void __fastcall AddAddress(TMemo *Edit, AnsiString Address);
};

const int addrsManage = 1;
const int addrsSelect = 2;
//---------------------------------------------------------------------------
extern PACKAGE TAddressBkDlg *AddressBkDlg;
//---------------------------------------------------------------------------
#endif
