/*
*  disposedlgs.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#ifndef disposedlgsH
#define disposedlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------

int __fastcall GetMessageDisposition(TForm *Owner);

class TMsgDisposeDlg : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TButton *SaveBtn;
        TButton *SendBtn;
        TButton *DiscardBtn;
        TButton *CancelBtn;
        void __fastcall SendBtnClick(TObject *Sender);
        void __fastcall SaveBtnClick(TObject *Sender);
        void __fastcall DiscardBtnClick(TObject *Sender);
        void __fastcall CancelBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        int disposition;
        __fastcall TMsgDisposeDlg(TComponent* Owner);
};

// return values used by composewin
const int DisposeSend    = 1;
const int DisposeSave    = 2;
const int DisposeDiscard = 3;
const int DisposeCancel  = 4;
const int DisposeQueue   = 5;

//---------------------------------------------------------------------------
//extern PACKAGE TMsgDisposeDlg *MsgDisposeDlg;
//---------------------------------------------------------------------------
#endif
