/*
*  mailboxdlgs.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#ifndef mailboxdlgsH
#define mailboxdlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------

AnsiString __fastcall OpenMailQueue(TForm *Owner, const AnsiString &QueueName);
AnsiString __fastcall OpenMailbox(TForm *Owner, const AnsiString &BoxName);

class TMailboxDlg : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TPanel *Panel2;
        TListView *IndexView;
        TComboBox *Mailbox;
        TButton *OkBtn;
        TButton *CancelBtn;
        TLabel *Label1;
        TPopupMenu *PopupMenu;
        TMenuItem *Deletemessages1;
        TMenuItem *N1;
        TMenuItem *Renamemailbox1;
        TMenuItem *Deletemailbox1;
        TMenuItem *N2;
        TMenuItem *Resizedialog1;
        TMenuItem *Locksize1;
        TLabel *Label2;
        TMenuItem *Open1;
        TMenuItem *Openinnewwindow1;
        TMenuItem *N3;
		TMenuItem *Movemessagestomailbox1;
        void __fastcall MailboxChange(TObject *Sender);
        void __fastcall IndexViewData(TObject *Sender, TListItem *Item);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall IndexViewDblClick(TObject *Sender);
        void __fastcall Deletemessages1Click(TObject *Sender);
        void __fastcall Renamemailbox1Click(TObject *Sender);
        void __fastcall Deletemailbox1Click(TObject *Sender);
        void __fastcall Resizedialog1Click(TObject *Sender);
        void __fastcall Locksize1Click(TObject *Sender);
        void __fastcall PopupMenuPopup(TObject *Sender);
        void __fastcall Open1Click(TObject *Sender);
        void __fastcall Openinnewwindow1Click(TObject *Sender);
	void __fastcall IndexViewClick(TObject *Sender);
	void __fastcall Movemessagestomailbox1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        AnsiString orgwin, boxname;
        int orgmsgidx;
        TStringList *index;
        bool isqueue, boxdeleted;
        __fastcall virtual TMailboxDlg(TComponent* Owner);
        __fastcall virtual TMailboxDlg(TComponent* Owner, const AnsiString &BoxName,
            bool IsQueue);
        __fastcall virtual~TMailboxDlg();
};

//---------------------------------------------------------------------------
//extern PACKAGE TMailboxDlg *MailboxDlg;
//---------------------------------------------------------------------------
#endif
