/*
*  mainwins.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#ifndef mainwinsH
#define mainwinsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "eraser.h"
#include "qsdbs.h"
#include "global.h"
//---------------------------------------------------------------------------

class TQSLMainWin : public TForm
{
__published:	// IDE-managed Components
		TTimer *Timer1;
	TTimer *Timer2;
		void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
		void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall Timer2Timer(TObject *Sender);
private:	// User declarations
public:		// User declarations
		//ERASER_HANDLE erasercontext;
		WORD pipetype;
		AnsiString qsapipename;
		__fastcall TQSLMainWin(TComponent* Owner);
		__fastcall virtual ~TQSLMainWin();
		void __fastcall AppMessage(tagMSG &Msg, bool &Handled);
		void __fastcall InstallDefaults();
		void __fastcall CopyDefaultsOnce();
		TQSDB* __fastcall OpenDatabase();
		bool __fastcall ReadMessagePipe();
		// message functions
		void virtual __fastcall WMIniChange(TMessage& Msg);
		void virtual __fastcall WMCopyData(TMessage& Msg);

		BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_APPINICHANGE, TMessage, WMIniChange)
 		MESSAGE_HANDLER(WM_COPYDATA, TMessage, WMCopyData)
		END_MESSAGE_MAP(TForm)
};

//---------------------------------------------------------------------------
extern PACKAGE TQSLMainWin *QSLMainWin;
//---------------------------------------------------------------------------
#endif
