/*
*  setupdlgs2.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#ifndef setupdlgs2H
#define setupdlgs2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------

bool __fastcall RunQuickSilverSetup(TForm *Owner = NULL);

class TSetupDlg2 : public TForm
{
__published:	// IDE-managed Components
        TButton *BackBtn;
        TButton *NextBtn;
        TButton *CancelBtn;
        TPageControl *PageControl;
        TTabSheet *Start;
        TTabSheet *SMTPHost;
        TTabSheet *SMTPProxy;
        TTabSheet *HTTPProxy;
        TTabSheet *Finish;
        TCheckBox *CreateShortcut;
        TEdit *SMTPServer;
        TLabel *Label6;
        TEdit *SMTPPort;
        TLabel *Label4;
        TLabel *Label3;
        TEdit *SProxyServer;
        TCheckBox *SProxyHideType;
        TEdit *SProxyPassword;
        TLabel *Label7;
        TEdit *SProxyUserID;
        TLabel *Label8;
        TCheckBox *SProxyAuth;
        TComboBox *SProxySocks;
        TLabel *Label9;
        TEdit *SProxyPort;
        TLabel *Label10;
        TLabel *Label11;
        TCheckBox *SProxyTOR;
        TEdit *HProxyServer;
        TLabel *Label12;
        TEdit *HProxyPassword;
        TCheckBox *HProxyHideType;
        TComboBox *HProxySocks;
        TLabel *Label13;
        TEdit *HProxyPort;
        TLabel *Label14;
        TEdit *HProxyUserID;
        TLabel *Label15;
        TCheckBox *HProxyAuth;
        TLabel *Label16;
        TLabel *Label17;
        TLabel *Label18;
        TLabel *Label19;
        TLabel *Label20;
        TLabel *Label21;
        TLabel *Label22;
        TButton *HProxySameBtn;
        TCheckBox *SMTPProxyBox;
        TCheckBox *HTTPProxyBox;
        TEdit *SMTPUserID;
        TEdit *SMTPPassword;
        TCheckBox *SMTPHideType;
        TLabel *Label2;
        TLabel *Label5;
        TCheckBox *SMTPAuth;
        TComboBox *SMTPTls;
        TLabel *Label23;
        TLabel *Label24;
        TRichEdit *Spec;
        TCheckBox *HProxyTOR;
        TEdit *EmailAddress;
        TLabel *Label1;
        TLabel *Label25;
        TLabel *Label26;
        TLabel *Label27;
        TLabel *Label28;
        void __fastcall NextBtnClick(TObject *Sender);
        void __fastcall BackBtnClick(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall SMTPHideTypeClick(TObject *Sender);
        void __fastcall SProxyHideTypeClick(TObject *Sender);
        void __fastcall HProxyHideTypeClick(TObject *Sender);
        void __fastcall SMTPAuthClick(TObject *Sender);
        void __fastcall SMTPPortChange(TObject *Sender);
        void __fastcall SMTPProxyBoxClick(TObject *Sender);
        void __fastcall SProxyAuthClick(TObject *Sender);
        void __fastcall HTTPProxyBoxClick(TObject *Sender);
        void __fastcall HProxyAuthClick(TObject *Sender);
        void __fastcall HProxySameBtnClick(TObject *Sender);
        void __fastcall SProxyTORClick(TObject *Sender);
        void __fastcall HProxyTORClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TSetupDlg2(TComponent* Owner);
        void __fastcall CreateDesktopShortcut();
		void __fastcall GetQSDefaultsPage();
		bool __fastcall StartPageValid();
        bool __fastcall SMTPHostPageValid();
        bool __fastcall SMTPProxyPageValid();
        bool __fastcall HTTPProxyPageValid();
        void __fastcall LoadFinishSpec();
        bool __fastcall ProxiesSame();
        void __fastcall SaveSetup();
};
//---------------------------------------------------------------------------
extern PACKAGE TSetupDlg2 *SetupDlg2;
//---------------------------------------------------------------------------
#endif
