/*
*  statsdlgs.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#ifndef statsdlgsH
#define statsdlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Inifiles.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
#include "global.h"
#include "OverbyteIcsHttpProt.hpp"
#include "OverbyteIcsWndControl.hpp"
#include "OverbyteIcsWSocket.hpp"
#include "OverbyteIcsLogger.hpp"
//---------------------------------------------------------------------------

bool __fastcall RunStatsManager(TForm *Owner);
bool __fastcall AutoUpdateRemailerStats(TForm *Owner);
bool __fastcall UpdateAllPingers(TForm *Owner);
//bool __fastcall AutoUpdateAllPingers(TForm *Owner);

class TStatsDlg : public TForm
{
__published:	// IDE-managed Components
        TButton *UpdateBtn;
        TButton *OkBtn;
        TButton *CancelBtn;
        TTimer *TimeOutTimer;
        TProgressBar *ProgressBar;
        TTabControl *TabControl;
        TTimer *Timer1;
        TPopupMenu *PopupMenu1;
        TMenuItem *mlisttxt1;
        TMenuItem *pubringmix1;
        TMenuItem *rlisttxt1;
        TMenuItem *pubringasc1;
        TMenuItem *allpingerstxt1;
        TMenuItem *View1;
        TMenuItem *Copy1;
        TMenuItem *N1;
        TMenuItem *Resizedialog1;
        TMenuItem *Locksize1;
        TButton *HelpBtn;
        TMenuItem *Legend1;
        TPanel *Panel1;
        TRichEdit *Page;
        TSslHttpCli *HTTP;
        TComboBox *ProxyBox;
        TLabel *Label1;
        TTimer *Timer2;
        TComboBox *Sources;
        TStaticText *StaticLabel;
        TButton *OptionsBtn;
        TMenuItem *Selectall1;
        TMenuItem *N3;
        TMenuItem *N2;
        TMenuItem *Allpingerstxt2;
        TMenuItem *Statistics1;
        TMenuItem *N4;
        TMenuItem *Update1;
	TComboBox *AllPingers;
	TIcsLogger *IcsLogger;
	TSslContext *SslContext;
        void __fastcall HTTPDocBegin(TObject *Sender);
        void __fastcall HTTPDocData(TObject *Sender, Pointer Buffer, int Len);
        void __fastcall HTTPDocEnd(TObject *Sender);
        void __fastcall HTTPHeaderEnd(TObject *Sender);
        void __fastcall HTTPRequestDone(TObject *Sender, THttpRequest RqType,
           WORD ErrCode);
        void __fastcall HTTPSocksError(TObject *Sender, int Error, AnsiString Msg);
        void __fastcall UpdateBtnClick(TObject *Sender);
        void __fastcall TimeOutTimerTimer(TObject *Sender);
        void __fastcall TabControlChange(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall SourcesChange(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall ViewItemClick(TObject *Sender);
        void __fastcall PopupMenu1Popup(TObject *Sender);
        void __fastcall Copy1Click(TObject *Sender);
        void __fastcall Resizedialog1Click(TObject *Sender);
        void __fastcall Locksize1Click(TObject *Sender);
        void __fastcall HelpBtnClick(TObject *Sender);
        void __fastcall Legend1Click(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall FormPaint(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall TabControlChanging(TObject *Sender,
          bool &AllowChange);
        void __fastcall Timer2Timer(TObject *Sender);
        void __fastcall OptionsBtnClick(TObject *Sender);
        void __fastcall ProxyBoxChange(TObject *Sender);
        void __fastcall Selectall1Click(TObject *Sender);
        void __fastcall Statistics1Click(TObject *Sender);
        void __fastcall Allpingerstxt2Click(TObject *Sender);
	void __fastcall ProxyBoxSelect(TObject *Sender);
	void __fastcall ProxyBoxDropDown(TObject *Sender);
	void __fastcall ProxyBoxCloseUp(TObject *Sender);
	void __fastcall AllPingersChange(TObject *Sender);
	void __fastcall HTTPSslCliCertRequest(TObject *Sender, TX509Base *&Cert);
	void __fastcall HTTPSslCliGetSession(TObject *Sender, Pointer &SslSession,
          bool &FreeSession);
	void __fastcall HTTPSslCliNewSession(TObject *Sender, Pointer SslSession,
          bool WasReused, bool &IncRefCount);
	void __fastcall HTTPSslHandshakeDone(TObject *Sender, WORD ErrCode,
          TX509Base *PeerCert, bool &Disconnect);
	void __fastcall HTTPSslVerifyPeer(TObject *Sender, int &Ok, TX509Base *Cert);
private:	// User declarations
public:		// User declarations
        AnsiString orgwin, defhttp;
		bool timeout, canceled, stats, allpingersfirst, autorun, needsave, working,
		   usesslcert, needsmixtls;
		TStringList *pages, *allpingers, *checks, *proxy, *mixcfg;
        int status, curpage, BytesReceived, BytesTotal, goods, fails, bads, pbpos;
        __fastcall virtual TStatsDlg(TComponent* Owner);  // Stats ? stats : allpingerstxt
        __fastcall virtual TStatsDlg(TComponent* Owner, bool Stats, bool AutoRun);
        __fastcall virtual~TStatsDlg();
        void __fastcall LoadIni(bool winpos);
        void __fastcall GetNextPage();
        bool __fastcall GetAllPingersTxt();
        void __fastcall PrepareAllPingers();
        void __fastcall LoadSources(const AnsiString &defsource);
        bool __fastcall LoadPages();
        void __fastcall LoadPageFromStream(TStrings *page);
        AnsiString __fastcall GetPageName(int index);
        TStrings* __fastcall GetPage(int index);
        TStrings* __fastcall GetPage(const AnsiString &name);
        bool __fastcall CheckSavePages();
	    bool __fastcall HasGoodMlistTxt();
		void __fastcall HandleBarredFromLastRemailers(TStrings *pubring);
        void __fastcall Save();
        void __fastcall SetupProxy();
        void __fastcall FinishProcess();
        void __fastcall LogLast(const AnsiString &msg);
        void __fastcall Log(const AnsiString &msg);
        AnsiString __fastcall GetErrorCheck(const AnsiString &PageName);
        void __fastcall CheckReportNewAndDeadRemailers();
        void __fastcall SetModeStatsOrPngrs(bool Stats);
		bool __fastcall AllPingersNeedsUpdate();
		void __fastcall Abort(const AnsiString &msg);
        void __fastcall Cancel();
        bool __fastcall ProxyAssigned();
        //void __fastcall LoadProxyBox();
        // message functions
        //void virtual __fastcall WMIniChange(TMessage& Msg);
        //BEGIN_MESSAGE_MAP
        //MESSAGE_HANDLER(WM_APPINICHANGE, TMessage, WMIniChange)
        //END_MESSAGE_MAP(TForm)
};

const bool StatisticsMode = true;
const bool AllPingersMode = false;
//---------------------------------------------------------------------------
//extern PACKAGE TStatsDlg *StatsDlg;
//---------------------------------------------------------------------------
#endif
