/*
*  whistledlgs.cpp 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "whistledlgs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TWhistleDlg *WhistleDlg;
AnsiString whistletxt2 =
"If you're a whistle blower, you have special requirements. You're only going "
"to use QS a few times and don't expect to become proficient. You want to send "
"your few messages safely, and wading through reams of documentation will only "
"serve to confuse you.\n\n"
"Whistle Blower Mode is for you. It reduces the feature set to the absolute "
"minimum and the documentation is similarly simplified. You'll be sending secure mail "
"in a matter of minutes. When the program opens, click 'Help/Topics' and select "
"'Walk me through...' to get started.\n\n"
"If you're otherwise a new QS user, I also recommend this mode to get you started "
"on the right foot. It's much easier to get the picture from the simpler interface.\n\n"
"I'm going to open QS in Whistle Blower Mode. If you're an experienced QS user, "
"you can switch to Expert Mode in the Options Dialog at any time.";
//---------------------------------------------------------------------------

void __fastcall ShowWhistleDialog()
{
   TWhistleDlg *whistle = new TWhistleDlg(NULL);
   whistle->ShowModal();
   delete whistle;
}
//---------------------------------------------------------------------------

__fastcall TWhistleDlg::TWhistleDlg(TComponent* Owner)
        : TForm(Owner)
{
   RichEdit1->Text = whistletxt2;
   RichEdit1->SelStart = 0;
   RichEdit1->Perform(EM_SCROLLCARET, 0, 0);
}
//---------------------------------------------------------------------------
